org.apache.olingo.client.api.communication.request.batch

## Interface ODataBatchRequest

- All Superinterfaces:
    ODataRequest, ODataStreamedRequest<ODataBatchResponse,BatchManager>

      public interface ODataBatchRequest
      extends ODataStreamedRequest<ODataBatchResponse,BatchManager>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PipedOutputStream` | `getOutputStream()` Gets piped stream to be used to stream batch items.
    `ODataBatchRequest` | `rawAppend(byte[] toBeStreamed)` Appends the given byte array to the payload.
    `ODataBatchRequest` | `rawAppend(byte[] toBeStreamed, int off, int len)` Appends the given byte array to the payload.

    - ### Methods inherited from interface org.apache.olingo.client.api.communication.request.ODataStreamedRequest

      `payloadManager`

    - ### Methods inherited from interface org.apache.olingo.client.api.communication.request.ODataRequest

      `addCustomHeader, getAccept, getContentType, getHeader, getHeaderNames, getHttpRequest, getIfMatch, getIfNoneMatch, getMethod, getPrefer, getURI, rawExecute, setAccept, setContentType, setIfMatch, setIfNoneMatch, setPrefer, setURI, setXHTTPMethod, toByteArray`

- - ### Method Detail

    - #### getOutputStream

          PipedOutputStream getOutputStream()

      Gets piped stream to be used to stream batch items.
      Returns:
        piped stream for the payload.

    - #### rawAppend

          ODataBatchRequest rawAppend(byte[] toBeStreamed)
                               throws IOException

      Appends the given byte array to the payload.
      Parameters:
        `toBeStreamed` - byte array to be appended.
      Returns:
        the current batch request.
      Throws:
        `IOException` - in case of write errors.

    - #### rawAppend

          ODataBatchRequest rawAppend(byte[] toBeStreamed,
                                      int off,
                                      int len)
                               throws IOException

      Appends the given byte array to the payload.
      Parameters:
        `toBeStreamed` - byte array to be appended.
        `off` - byte array offset.
        `len` - number of byte to be streamed.
      Returns:
        the current batch request.
      Throws:
        `IOException` - in case of write errors.

Copyright © 2013–2020 The Apache Software Foundation. All rights reserved.